# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "kamft_desktop"
version = "0.0.4"
authors = ["kamft@qq.com"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Kamft desktop utilities including screenshot capture and WeChat Work integration"
homepage = "https://cnb.cool/kamft/summer"
readme = "README.md"
keywords = [
    "kamft",
    "city",
]
categories = ["config"]
license = "MIT"
repository = "https://cnb.cool/kamft/summer"

[lib]
name = "kamft_desktop"
path = "src/lib.rs"

[dependencies.base64]
version = "0.22.1"

[dependencies.enigo]
version = "0.6.1"

[dependencies.kamft]
version = "0.0.14"

[dependencies.md5]
version = "0.8"

[dependencies.once_cell]
version = "1"

[dependencies.png]
version = "0.18.1"

[dependencies.reqwest]
version = "0.12"
features = ["json"]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.tokio]
version = "1"
features = [
    "rt",
    "rt-multi-thread",
    "macros",
]

[dependencies.tracing]
version = "0.1"

[dependencies.xcap]
version = "0.9.6"

[target.'cfg(target_os = "windows")'.dependencies.active-win-pos-rs]
version = "0.11.0"

[target.'cfg(target_os = "windows")'.dependencies.winapi]
version = "0.3.9"
features = [
    "libloaderapi",
    "winuser",
]

[target.'cfg(target_os = "windows")'.dependencies.winreg]
version = "0.56.0"

[target.'cfg(target_os = "windows")'.build-dependencies.winres]
version = "0.1"
